import { WritableDraft } from "immer/dist/internal";
import { Moralis } from "moralis";
import { DefaultQueryAttribute, Query } from "../../utils/genericQuery";
export interface MoralisQueryFetchOptions<Entity = DefaultQueryAttribute> {
    onError?: (error: Error) => void;
    onSuccess?: (result: Moralis.Object<Entity>[]) => void;
    onComplete?: () => void;
    throwOnError?: boolean;
}
export declare type OnLiveHandler<Entity = DefaultQueryAttribute> = (entity: Moralis.Object<Entity>, all: Moralis.Object<Entity>[] | WritableDraft<Moralis.Object<Entity>>[]) => Moralis.Object<Entity>[];
export interface UseMoralisQueryOptions<Entity = DefaultQueryAttribute> {
    autoFetch?: boolean;
    live?: boolean;
    onLiveCreate?: OnLiveHandler<Entity>;
    onLiveEnter?: OnLiveHandler<Entity>;
    onLiveLeave?: OnLiveHandler<Entity>;
    onLiveUpdate?: OnLiveHandler<Entity>;
    onLiveDelete?: OnLiveHandler<Entity>;
}
export declare const useMoralisQuery: <Entity extends Moralis.Attributes = Moralis.Attributes>(nameOrObject: string | Moralis.Object, queryMap?: (q: Query<Entity>) => Query<Entity>, dependencies?: any[], options?: UseMoralisQueryOptions<Entity>) => {
    fetch: ({ onError, onComplete, onSuccess, throwOnError, }?: MoralisQueryFetchOptions) => Promise<void>;
    isFetching: boolean;
    isLoading: boolean;
    error: Error | null;
    data: Moralis.Object<Entity>[];
};
